Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
base58.h File Reference
`#include <botan/secmem.h>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
std::vector< uint8_t > | Botan::base58_check_decode (const std::string &s)
std::vector< uint8_t > | Botan::base58_check_decode (const char input[], size_t input_length)
template<typename Alloc >
std::string | Botan::base58_check_encode (const std::vector< uint8_t, Alloc > &vec)
std::string | Botan::base58_check_encode (const uint8_t input[], size_t input_length)
std::vector< uint8_t > | Botan::base58_decode (const std::string &s)
std::vector< uint8_t > | Botan::base58_decode (const char input[], size_t input_length)
template<typename Alloc >
std::string | Botan::base58_encode (const std::vector< uint8_t, Alloc > &vec)
std::string | Botan::base58_encode (const uint8_t input[], size_t input_length)